Bug 136130

Summary: [GTK] Toggle buttons visually broken with GTK+ 3.13.7
Product: WebKit Reporter: Michael Catanzaro <mcatanzaro>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Major CC: cgarcia, commit-queue, mrobinson
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Patch none

Description Michael Catanzaro 2014-08-21 12:44:17 PDT
GTK+ 3.13.7 added GTK_STATE_FLAG_CHECKED to solve a theme problem; we have to use it if we want toggle buttons (like checkboxes and radio buttons) to display as active.
Comment 1 Michael Catanzaro 2014-08-21 12:45:00 PDT
We don't have a see also field? OK, see also:

https://bugzilla.gnome.org/show_bug.cgi?id=733967
https://bugzilla.gnome.org/show_bug.cgi?id=735011
Comment 2 Michael Catanzaro 2014-08-21 13:05:09 PDT
Created attachment 236935 [details]
Patch
Comment 3 Martin Robinson 2014-08-22 23:33:43 PDT
Comment on attachment 236935 [details]
Patch

Does GTK_STATE_FLAG_CHECKED exist in older versions as well. Can we just add this flag unconditionally?
Comment 4 Michael Catanzaro 2014-08-23 07:55:46 PDT
No, it's new. If we add it unconditionally then we must bump the GTK+ requirement.
Comment 5 Martin Robinson 2014-08-23 11:11:25 PDT
Comment on attachment 236935 [details]
Patch

Thanks!
Comment 6 Michael Catanzaro 2014-08-24 09:23:32 PDT
I think this also needs review+ for it to be committed, correct?
Comment 7 Martin Robinson 2014-08-24 14:34:56 PDT
Comment on attachment 236935 [details]
Patch

Sorry.
Comment 8 WebKit Commit Bot 2014-08-24 15:07:49 PDT
Comment on attachment 236935 [details]
Patch

Clearing flags on attachment: 236935

Committed r172896: <http://trac.webkit.org/changeset/172896>
Comment 9 WebKit Commit Bot 2014-08-24 15:07:52 PDT
All reviewed patches have been landed.  Closing bug.